classification
Title: Fix decimal in unicodeless build
Type: behavior Stage: resolved
Components: Library (Lib), Tests Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: benjamin.peterson, facundobatista, mark.dickinson, python-dev, rhettinger, serhiy.storchaka, skrah
Priority: normal Keywords: patch

Created on 2014-06-24 07:43 by serhiy.storchaka, last changed 2014-10-14 18:15 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
decimal.patch serhiy.storchaka, 2014-06-24 07:43 review
Messages (5)
msg221429 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-24 07:43
Proposed patch fixes the decimal module and it's tests for Python built with the --disable-unicode configure option.
msg221879 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2014-06-29 18:42
Looks fine to me.
msg229319 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2014-10-14 17:26
LGTM, too.
msg229324 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-14 18:12
New changeset 108377d0e24f by Serhiy Storchaka in branch '2.7':
Issue #21855: Fixed the decimal module in unicode disabled build.
https://hg.python.org/cpython/rev/108377d0e24f
msg229325 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-10-14 18:15
Thank you Mark and Stefan for your reviews.
History
Date User Action Args
2014-10-14 18:15:41serhiy.storchakasetstage: commit review -> resolved
2014-10-14 18:15:20serhiy.storchakasetstatus: open -> closed
messages: + msg229325

assignee: serhiy.storchaka
dependencies: - Fix unicodeless build of Python
resolution: fixed
2014-10-14 18:12:53python-devsetnosy: + python-dev
messages: + msg229324
2014-10-14 17:40:44berker.peksagsetstage: patch review -> commit review
2014-10-14 17:26:48skrahsetmessages: + msg229319
2014-06-29 18:42:00mark.dickinsonsetmessages: + msg221879
2014-06-29 18:39:56mark.dickinsonsetnosy: + skrah
2014-06-24 07:44:32serhiy.storchakasetdependencies: + Fix unicodeless build of Python
2014-06-24 07:43:42serhiy.storchakacreate